Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.triggers
Class SessionAutoFolderingAction

    java.lang.Object
      oracle.ifs.core.triggers.AutoFolderingActionAdapter
          oracle.ifs.core.triggers.SessionAutoFolderingAction

All Implemented Interfaces:
  AutoFolderingAction

    public class SessionAutoFolderingAction

extends AutoFolderingActionAdapter

AutoFolderingAction implementation that creates a folder structure of the form YYYY/MM/DD/hh/mm.sessid under the given root, using the current time and the ID of the requesting session to generate the names.

Constructor Summary
`SessionAutoFolderingAction()`

Method Summary
`Folder` | `getLeafFolder(Folder rootFolder, PublicObjectDefinition def)` Returns the leaf folder where the new object should be foldered, relative to the specified root folder.

Methods inherited from class oracle.ifs.core.triggers.AutoFolderingActionAdapter
`createFolder, createFolder, getAutoFolderingActionSpecificationName, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionAutoFolderingAction

    public SessionAutoFolderingAction()

Method Detail

### getLeafFolder

    public Folder getLeafFolder(Folder rootFolder,
                                PublicObjectDefinition def)
                         throws IfsException

  Description copied from class: `SessionAutoFolderingAction`
  Returns the leaf folder where the new object should be foldered, relative to the specified root folder. The returned leaf folder could be a newly created folder or an existing folder, depending on the implementation.

  Specified by:
    `getLeafFolder` in interface `AutoFolderingAction`
  Overrides:
    `getLeafFolder` in class `AutoFolderingActionAdapter`
  Parameters:
    `rootFolder` - The root of the folder tree.
    `def` - The definition of the object about to be created.
  Returns:
    The leaf folder.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD